[Qa-jenkins-scm] [jenkins.debian.net] 01/01: g-i-installation: kill qemu IFF there are actual processes running (avoids noise in the build log)
Holger Levsen
holger at moszumanska.debian.org
Thu Apr 9 12:45:46 UTC 2015
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit efcc68a2485ed35389eed873462ac97743dd1896
Author: Mattia Rizzolo <mattia at mapreri.org>
Date: Thu Apr 9 14:41:46 2015 +0200
g-i-installation: kill qemu IFF there are actual processes running (avoids noise in the build log)
---
bin/g-i-installation.sh | 5 ++++-
1 file changed, 4 insertions(+), 1 deletion(-)
diff --git a/bin/g-i-installation.sh b/bin/g-i-installation.sh
index bc6213b..94bb881 100755
--- a/bin/g-i-installation.sh
+++ b/bin/g-i-installation.sh
@@ -1340,7 +1340,10 @@ case $NAME in
# kill qemu and image
#
set -x
- sudo kill -9 $(ps fax | grep [q]emu-system | grep "vnc=$DISPLAY " 2>/dev/null | awk '{print $1}') || true
+ TOKILL=$(ps fax | grep [q]emu-system | grep "vnc=$DISPLAY " 2>/dev/null | awk '{print $1}')
+ if [ ! -z "$TOKILL" ] ; then
+ sudo kill -9 "$TOKILL" || true
+ fi
set +x
if [ ! -z "$IMAGE" ] ; then
sudo umount -l $IMAGE_MNT || true
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list